from cefpython3 import cefpython as cef
import sys
import serial.tools.list_ports

serial2usb_description = "FT232R USB UART"
baud_rate = 115200

ports = serial.tools.list_ports.comports()
serial_port = None
for port in ports:
    print(port.description)
    print(port.device)
    if serial2usb_description in port.description:
        serial_port = port
device = serial.Serial(serial_port.device, baud_rate)

sys.excepthook = cef.ExceptHook  # To shutdown all CEF processes on error
cef.Initialize()
browser = cef.CreateBrowserSync(url="file:///Users/vincentzhou/PycharmProjects/FabAcademyImageCompression/src/html/interface.html",
                                window_title="Motion Detection")


def print_func(text, js_callback=None):
    print(text)


def tick():
    status = device.readline().strip().decode("utf-8")
    print(status)
    if "Motion Detected" in status:
        browser.ExecuteJavascript("motion_detected()")
    else:
        browser.ExecuteJavascript("motion_undetected()")


bindings = cef.JavascriptBindings(bindToFrames=False, bindToPopups=False)
bindings.SetFunction("print_func", print_func)
bindings.SetFunction("tick", tick)
browser.SetJavascriptBindings(bindings)

cef.MessageLoop()
device.close()
cef.Shutdown()
