#define F_CPU 20000000
#include <avr/io.h>

#define setInputPin(pin) PORTA.DIRCLR |= (1 << pin)
#define setOutputPin(pin) PORTA.DIRSET |= (1 << pin)
#define setPinHigh(pin) VPORTA.OUT |= (1 << pin)
#define setPinLow(pin) VPORTA.OUT &= ~(1 << pin)
#define readPin(pin) VPORTA.IN & (1 << pin)


#define led_pin 6
#define input_pin 7

#define max_buffer 25

static int index = 0;
static char chr;
static char buffer[max_buffer] = {0};

void setup() {
  setInputPin(input_pin);
  setOutputPin(led_pin);
  Serial.begin(115200);
}

void loop() {
  if (readPin(input_pin)) {
    setPinHigh(led_pin);
    Serial.println("Motion Detected");
  }
  else {
    setPinLow(led_pin);
    Serial.println("Motion Undetected");
  }
}